Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#40999 - [munin] munin requires perl-file-copy-recursive

Attached to Project: Arch Linux
Opened by ctxfi-user (ctxfi-user) - Friday, 27 June 2014, 06:31 GMT
Last edited by Dan McGee (toofishes) - Saturday, 03 January 2015, 15:56 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Dan McGee (toofishes)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

Description:
Munin seems to require perl-file-copy-recursive. This is problem is for historical reason maybe somehow related to changes due " FS#38521  - perl-extutils-makemaker conflicting files with perl-file-copy-recursive".


Additional info:
* Package version: munin 2.0.21-1
* Output of munin-cron:
Jun 26 10:01:09 arch munin-cron[7441]: Can't locate File/Copy/Recursive.pm in @INC (you may need to install the File::Copy::Recursive module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/share/perl5/vendor_perl/Munin/Master/HTMLOld.pm line 72.


Steps to reproduce:
* (Maybe configure Munin nodes with plugins requiring multigraph support, for example diskstats plugin.)
* Run munin-cron (as munin).
This task depends upon

Closed by  Dan McGee (toofishes)
Saturday, 03 January 2015, 15:56 GMT
Reason for closing:  Fixed
Additional comments about closing:  2.0.25
Comment by S├ębastien Luttringer (seblu) - Friday, 08 August 2014, 18:51 GMT
That's not only affect munin-cron, my munin interface is broken since last update. Installing perl-file-copy-recursive, fix the issue.
Comment by ctxfi-user (ctxfi-user) - Monday, 11 August 2014, 09:28 GMT
The dependencies in the PKGBUILD seem to be outdated according to https://github.com/munin-monitoring/munin/blob/2.0.21/INSTALL

(But nonetheless - without testing every possible corner case - Munin just works without errors again after solely installing perl-file-copy-recursive.)

- Time::HiRes / provided by package perl
- Storable / provided by package perl
- Digest::MD5 / provided by package perl
- HTML::Template / provided by package perl-html-template
- Text::Balanced / provided by package perl
- Params::Validate / missing but there are uses in the source
- TimeDate / missing but i could not find any uses in the source
- Net::SSLeay / optionally provided by package perl-net-ssleay
- Getopt::Long / provided by package perl
- File::Copy::Recursive / provided by package perl-file-copy-recursive
- CGI::Fast / provided by package perl
- IO::Socket::INET6 / provided by package perl-io-socket-inet6
- Log::Log4perl / provided by package perl-log-log4perl

Perhaps this could do the trick (still misses Params::Validate):

package_munin() {
depends=('munin-node' 'perl' 'perl-fcgi' 'perl-file-copy-recursive' 'perl-html-template' 'perl-io-socket-inet6' 'perl-log-log4perl' 'rrdtool')
optdepends=('perl-net-ssleay: SSL/TLS support')
...
}
Comment by Dan McGee (toofishes) - Saturday, 03 January 2015, 15:45 GMT
Looking at these old bugs today, sorry for the delay. I'm just not seeing this on my machine and setup. I don't have this package installed, I'm using diskstats, no problems here.

I do have makemaker installed, which is likely why it is working for me?

$ pacman -Qo /usr/share/perl5/vendor_perl/File/Copy/Recursive.pm
/usr/share/perl5/vendor_perl/File/Copy/Recursive.pm is owned by perl-extutils-makemaker 6.98-1

Comment by Dan McGee (toofishes) - Saturday, 03 January 2015, 15:56 GMT
Nevermind, worked through this and figured it out. Deps will be correct in next release.

Loading...